# TextMessage Class Reference

Inheritance diagram for TextMessage:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setTimestamp ($timestamp)
| getTimestamp ()
| setText ($text)
| getText ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $timestamp = null
| $text = null

## Detailed Description

Definition at line 13 of file TextMessage.class.php.

## Constructor & Destructor Documentation

TextMessage::__construct | ( |  | ) |

Definition at line 23 of file TextMessage.class.php.

References Timestamp::makeNow().

Here is the call graph for this function:

## Member Function Documentation

static TextMessage::create | ( |  | ) | `[static]`

Definition at line 18 of file TextMessage.class.php.

TextMessage::getText | ( |  | ) |

Definition at line 47 of file TextMessage.class.php.

TextMessage::getTimestamp | ( |  | ) |

Returns:
  Timestamp

Implements Message.

Definition at line 35 of file TextMessage.class.php.

TextMessage::setText | ( | $ | text | ) |

Definition at line 40 of file TextMessage.class.php.

References $text.

TextMessage::setTimestamp | ( | $ | timestamp | ) |

Definition at line 28 of file TextMessage.class.php.

References $timestamp.

## Member Data Documentation

TextMessage::$text = null`[private]`

Definition at line 16 of file TextMessage.class.php.

Referenced by setText().

TextMessage::$timestamp = null`[private]`

Definition at line 15 of file TextMessage.class.php.

Referenced by setTimestamp().

The documentation for this class was generated from the following file:

- main/Messages/TextMessage.class.php